using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnBeregn_Click(object sender, EventArgs e)
    {
        double nautiskeMil = Convert.ToDouble(txtInput.Text);
        double kilometer = nautiskeMil * 1.852;
        string resultat = txtInput.Text + " nautiske mil tilsvarer " + kilometer.ToString("N2") + " kilometer <br />";
        if (txtHastighet.Text != "")
        {
            double hastighet = Convert.ToDouble(txtHastighet.Text);
            double reisetid = nautiskeMil / hastighet;
            resultat = resultat + " Denne distansen vil det med " + hastighet + " knop ta " + reisetid.ToString("N2") + " timer å tilbakelegge";
        }
        labResultat.Text = resultat;
    }
}
